Subject: bug#56528: 29.0.50; Emacs lucid segfaults when X dies

From: Po Lu <[email-masked]>
Date: Thu, 14 Jul 2022 14:26:58 +0800

Eli Zaretskii <[email-masked]> writes:

> The reason seems to be that the selected-frame wasn't changed to be a
> valid usable frame.

Right, but under daemon mode, shouldn't `delete_frame' eventually select
the initial frame?

> But I wonder how the above is different from simply crashing.

When there are multiple terminals, it allows suriving the disconnect of
a single terminal.